Subject: Re: perl 5.8.6
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jan 2005 18:05:49 -0800

On Fri, Dec 10, 2004 at 04:36:28PM +0100, Reini Urban wrote:
> Yitzchak Scott-Thoennes schrieb:
> >On Thu, Dec 09, 2004 at 11:38:38PM +0100, Reini Urban wrote:
> >
> >>Jason Pearce schrieb:
> >>
> >>>Reini Urban wrote:
> >>>
> >>>>Maybe I'll come to the pending Win32::API problem with the callbacks 
> >>>>on gcc also. A simple hack30-like solution should always be possible. 
> >>>>Or a fallback to C::Dynalib.
> >>>>Win32::OLE didn't compile OOTB, but this is easy. Just forgot where I 
> >>>>put the patch.

Just adding #include <olectl.h> I think.

> >>>>And your /usr/include/iodbcunix.h was wrong. Had to patch it to 
> >>>>compile Win32::ODBC. Will send it later.
> >>>
> >>>It would be be fantastic if you can. I am making a lot of use of this 
> >>>module at the moment to call third party dlls.
> >>
> >>Which of these three?
> >>Win32::API callbacks will need some time.
> >>Use the two other, better perl FFI's instead (FFI, C::Dynalib)
> >>
> >>For Win32::OLE there was a patch somewhere which I didn't apply nor 
> >>tested yet.
> >>
> >>Win32::ODBC and the rest of the libwin32 suite works ok.
> >>Win32::GUI also.
> >>Maybe a seperate perl-tk package will be appreciated also, now that I 
> >>heard that it works after applying some known patches.
> >>
> >>Should I publish the 5.8.5 package or wait for 5.8.6?
> >>I'm quite busy with postgresql and phpwiki now.
> >
> >Sounds like you provide question and answer together there.
> >
> >Reini, could you email me a copy of the package source?  I'd like to
> >see what you've done.  Are you aware that about 9 months ago,
> >Win32.xs/Win32.pm were put into the core (and will no longer be part
> >of libwin32 at some point), with some changes/additions?
> 
> Yep, I saw that, but I haven't fixed it yet.
> 
> >Also don't know if you saw I sent Gerrit a patch to automatically
> >include Win32CORE functions, in the hopes that he would release
> >5.8.6 that way.  For 5.8.7 I want to get win32/wince/cygwin all
> >sharing the same source for those functions and the Win32 module.
> 
> Well, let's hope that they'll raise their lazy butt.

Ain't nobody here but us volunteers :)

Are you intending Win32::GUI to be a separate package?
I had to make a few tweaks to get it to be happy with that missing,
and for w32api 3.2 (and to remove Win32CORE).  I'll send you a patch
after I've done some minimal testing.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/